umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_associationline.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/associationline.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_AssociationLine_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_AssociationLine_t | qt_meta_stringdata_AssociationLine
static const uint | qt_meta_data_AssociationLine []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_AssociationLine_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_AssociationLine_t
Definition: moc_associationline.cpp:24

## Variable Documentation

## ◆ qt_meta_data_AssociationLine

const uint qt_meta_data_AssociationLine[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
0, 0,
0, 0,
0,
0,
0
}

## ◆ qt_meta_stringdata_AssociationLine

const qt_meta_stringdata_AssociationLine_t qt_meta_stringdata_AssociationLine
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 15)
},
"AssociationLine"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_associationline.cpp:28